"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_up_icon2 = common_vendor.resolveComponent("up-icon");
  _easycom_up_icon2();
}
const _easycom_up_icon = () => "../../node-modules/uview-plus/components/u-icon/u-icon.js";
if (!Math) {
  _easycom_up_icon();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const toPage = (url) => {
      if (!url) {
        common_vendor.index.showModal({
          title: "提示",
          content: "该功能在当前项目暂未开放，敬请期待",
          confirmColor: "#0082FA",
          showCancel: false,
          success: function(res) {
            if (res.confirm) {
              console.log("用户点击确定");
            } else if (res.cancel) {
              console.log("用户点击取消");
            }
          }
        });
        return;
      }
      common_vendor.index.navigateTo({
        url
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          name: "car",
          size: "20",
          color: "#2A7EFB"
        }),
        b: common_vendor.o(($event) => toPage("/INDEX/parking_payment_record/index")),
        c: common_vendor.p({
          name: "red-packet",
          size: "20",
          color: "#2A7EFB"
        }),
        d: common_vendor.o(($event) => toPage("")),
        e: common_vendor.p({
          name: "integral",
          size: "20",
          color: "#2A7EFB"
        }),
        f: common_vendor.o(($event) => toPage("")),
        g: common_vendor.p({
          name: "calendar",
          size: "20",
          color: "#2A7EFB"
        }),
        h: common_vendor.o(($event) => toPage(""))
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/ME/issue_invoice/index.vue"]]);
wx.createPage(MiniProgramPage);
